Bug 362291 - Strange try to resume hibernate image from swap
Summary: Strange try to resume hibernate image from swap
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
high
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-01 18:12 UTC by Jochen Schmitt
Modified: 2008-02-28 21:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 21:06:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -n (561 bytes, text/plain)
2007-11-04 18:59 UTC, Jochen Schmitt
no flags Details
Output of lspci -vv (14.74 KB, text/plain)
2007-11-04 18:59 UTC, Jochen Schmitt
no flags Details
Digital photo from a kernel issue (1.89 MB, image/jpeg)
2007-11-20 18:48 UTC, Jochen Schmitt
no flags Details

Description Jochen Schmitt 2007-11-01 18:12:51 UTC
Description of problem:

When I try to boot my rawhide partition the kernel try to resume a hibernate
image from the swap device. But on the swap device there are not a hibernate
image, so I will got strange zero devide errors.

Version-Release number of selected component (if applicable):

kernel-2.6.23.1-42.fc8

Comment 1 Chuck Ebbert 2007-11-02 20:08:18 UTC
Can you provide some information about your hardware?
Do you have a Smolt profile for it?
If not, please attach the output of 'lspci -vv' and 'lspci -n' commands.


Comment 2 Jochen Schmitt 2007-11-04 18:59:11 UTC
Created attachment 247621 [details]
Output of lspci -n

Comment 3 Jochen Schmitt 2007-11-04 18:59:58 UTC
Created attachment 247631 [details]
Output of lspci -vv

Comment 4 Jochen Schmitt 2007-11-04 19:00:26 UTC
Of Course:

CPU: Intel Core 2 Duo E6400 2.13 GHz
Mainboard: Asus P5LD2-SE 
BIOS-Relese: 13.01
Graphic: Nvidia Geforce 7600 Gs



Comment 5 Jochen Schmitt 2007-11-14 17:24:08 UTC
Here some additional information about my issue. When try to use the
initrd from the Fedora 8 Live DVD the issue doesn't occurs.

I have try to extract the initrd which will be created after updating
the kernel and find a line like 'resume /dev/sdb7' in the init file.

So I want to ask, how the kernel could determinate i the contains of the
swap files is a valid hibernetion image or not?

Comment 6 Jochen Schmitt 2007-11-15 16:48:21 UTC
Some addtional information:

I have try to create an initrd with --noresume. But the issue still occur.

But when I use an initrd from the live DVD, the issue doesn't issue.

I assume that this is an LVM2 relate issue,

When I downgrade to 2.6.23-1.21.fc7 the system works fine.

Comment 7 Dave Jones 2007-11-19 21:13:54 UTC
can you attach information about that zero divide?  maybe a digital camera photo?

Comment 8 Jochen Schmitt 2007-11-20 18:48:09 UTC
Created attachment 265201 [details]
Digital photo from a kernel issue

Comment 9 Jochen Schmitt 2007-11-22 16:43:49 UTC
My examinations show, that this error depends on the FreeBSD Partition on my system.

When I set the partition to '00', the issue still occurs. Removing the FreeBSD
partition and making a new inird solved ths issue.

Comment 10 Jochen Schmitt 2008-02-28 21:06:15 UTC
As far as I could find out, this was an error of the est2fs-utils whitch was
fixed by the upstream. So I will close this bug.


Note You need to log in before you can comment on or make changes to this bug.